#!/usr/bin/env bash

apt-get install snmpd sudo perl libconfig-general-perl libdata-dumper-simple-perl libsort-naturally-perl libexception-class-perl libencode-perl make

TMP=$(mktemp -d)
git clone https://github.com/Tontonitch/interfacetable_v3t.git "$TMP"

cd "$TMP"
chmod a+x ./configure
./configure --prefix=/usr/local/interfacetable_v3t --with-nagios-user=nagios --with-nagios-group=nagios
make install

rm -rf "$TMP"